Package org.jfree.layouting.layouter.style.functions.content

## Class CounterValueFunction

- java.lang.Object
- - org.jfree.layouting.layouter.style.functions.content.CounterValueFunction

- All Implemented Interfaces:
    `ContentFunction`

      public class CounterValueFunction
      extends java.lang.Object
      implements ContentFunction

  Creation-Date: 16.04.2006, 15:22:11
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CounterValueFunction​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ContentToken` | `evaluate​(LayoutProcess layoutProcess, LayoutElement element, CSSFunctionValue function)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CounterValueFunction

          public CounterValueFunction​()

  - ### Method Detail

    - #### evaluate

          public ContentToken evaluate​(LayoutProcess layoutProcess,
                                       LayoutElement element,
                                       CSSFunctionValue function)
                                throws FunctionEvaluationException

      Specified by:
        `evaluate` in interface `ContentFunction`
      Throws:
        `FunctionEvaluationException`